package com.jsh.erp.datasource.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Description TODO
 * @Author MS.BLUE
 * @Date 2025-04-16
 */
@Data
@JsonInclude(JsonInclude.Include.NON_NULL) // 序列化时忽略null
@JsonIgnoreProperties(ignoreUnknown = true)// 反序列化时忽略未知属性
public class MaterialCurrentStock4SystemSku {

    /**
     * 商品id
     */
    private Long mId;

    /**
     * 商品名称
     */
    private String mName;

    /**
     * 商品单位-单个单位
     */
    private String unit;

    /**
     * 多单位商品
     */

    private Long unitId;

    /**
     * 是否是多单位商品
     */
    private boolean isLargeUnit;

    /**
     * 系统商品编码
     */
    private String systemSku;

    /**
     * 基础单位
     */
    private String basicUnit;

    /**
     * 其他单位
     */
    private String otherUnit;

    /**
     * 其他单位2
     */
    private String otherUnitTwo;

    /**
     * 其他单位3
     */
    private String otherUnitThree;

    /**
     * 基础单位-总库存
     */
    private BigDecimal basicUnitTotalStock;

    /**
     * 其他单位-总库存
     * =
     * {@link #basicUnitTotalStock}
     * ÷{@link #ratio}
     */
    private BigDecimal otherUnitTotalStock;

    /**
     * 其他单位2-总库存
     * =
     * {@link #basicUnitTotalStock}
     * ÷{@link #ratioTwo}
     */
    private BigDecimal otherUnitTwoTotalStock;

    /**
     * 其他单位3-总库存
     * =
     * {@link #basicUnitTotalStock}
     * ÷{@link #ratioThree}
     */
    private BigDecimal otherUnitThreeTotalStock;

    /**
     * 其他单位-比率
     */
    private BigDecimal ratio;

    /**
     * 其他单位2-比率
     */
    private BigDecimal ratioTwo;

    /**
     * 其他单位3-比率
     */
    private BigDecimal ratioThree;


    /**
     * 基础单位-销售价格
     */
    private BigDecimal basicUnitSalePrice;

    /**
     * 其他单位-销售价格
     * =
     * {@link #basicUnitSalePrice}
     * * {@link #ratio}
     */
    private BigDecimal otherUnitSalePrice;

    /**
     * 其他单位2-销售价格
     * =
     * {@link #basicUnitSalePrice}
     * * {@link #ratioTwo}
     */
    private BigDecimal otherUnitTwoSalePrice;

    /**
     * 其他单位3-销售价格
     * =
     * {@link #basicUnitSalePrice}
     * * {@link #ratioThree}
     */
    private BigDecimal otherUnitThreeSalePrice;
}